Bug 445114 - Review Request: akonadi - PIM Storage Service
Review Request: akonadi - PIM Storage Service
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-03 19:14 EDT by Kevin Kofler
Modified: 2008-05-27 09:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-27 09:25:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2008-05-03 19:14:29 EDT
Spec URL: http://repo.calcforge.org/f10/akonadi.spec
SRPM URL: http://repo.calcforge.org/f10/akonadi-0.80.0-1.fc8.src.rpm
Description: PIM Storage Service - http://pim.kde.org/akonadi/

This is a dependency of kdepimlibs and kdepim 4.1. It requires Qt 4.4 to build, so it currently only builds for dist-f10. Koji scratch build here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=594187

The only rpmlint message:
akonadi-devel.i386: W: no-documentation
(I get no warnings/errors for the SRPM and the akonadi and akonadi-debuginfo binary RPMs.)
Comment 1 Rex Dieter 2008-05-05 08:12:10 EDT
Looks simple and clean enough.

source matches upstream:
0aba67ad18dcba35b8b1b52b9c126e1b  akonadi-0.80.0.tar.bz2

license verfied: LGPLv2+

%files, scriptlets ok

Small nit: why does -devel Requires: pkgconfig ?

Either way, APPROVED.
Comment 2 Kevin Kofler 2008-05-05 11:00:37 EDT
> Small nit: why does -devel Requires: pkgconfig ?

Oops, for no reason, I'll drop that Requires. :-)
Comment 3 Kevin Kofler 2008-05-05 11:06:19 EDT
New Package CVS Request
=======================
Package Name: akonadi
Short Description: PIM Storage Service
Owners: kkofler
Branches: F-9 F-8
InitialCC: 
Cvsextras Commits: yes

(Note: comaintainers welcome, just request whatever ACLs you want through pkgdb 
once it's created.)
Comment 4 Kevin Fenzi 2008-05-05 11:49:41 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.